CURL_TIMEOUT=10
CURL_MAX_TRANSFER_TIME=5

############### INITIALIZE ################
if [[ -z $EXEC_TIME ]]
then
    export EXEC_TIME=$(date +%s)000
fi

if [[ -z $CRON_ID ]]
then
    if [[ -z $1 ]]
    then
        exit 1
    else
        export CRON_ID=$1
    fi
fi
############ END OF INITIALIZE ############

############### MAIN SCRIPT ###############
if [[ ! -z $CRONUI_PING_URL ]] && 
    [[ ! -z $CRONUI_HOST_NAME ]]
then
    curl \
    --connect-timeout $CURL_TIMEOUT \
    --max-time $CURL_MAX_TRANSFER_TIME \
    $CRONUI_PING_URL/$CRONUI_HOST_NAME/$CRON_ID/$EXEC_TIME \
    > /dev/null 2>&1
fi
########### END OF MAIN SCRIPT ############